package com.bytesw.bytebot.etl.services;

import com.bytesw.bytebot.etl.batch.beans.DeleteDataSensRegistryBean;
import com.bytesw.bytebot.etl.dao.DeleteDataSensibleControlRepository;
import com.bytesw.bytebot.service.provider.TwilioService;
import com.bytesw.xdf.exception.NotFoundException;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
@Log4j2
public class DeleteSensMessageService {

    @Autowired
    private TwilioService twilioService;

    @Autowired
    DeleteDataSensibleControlRepository deleteDataSensibleControlRepository;

    public List<DeleteDataSensRegistryBean> deleteMessage(Long agentId, String SmsMessage) throws Exception{
        List<DeleteDataSensRegistryBean> deleteMessages = new ArrayList<DeleteDataSensRegistryBean>();
        Map<String,Object> data = new HashMap<>();
        Map<String,Object> params = new HashMap<>();
        params.put("agent_id",agentId.intValue());
        try{
            Map<String,Object> result = new HashMap<>();
            data = twilioService.generateInfo(SmsMessage,params);
            log.debug("RESPUESTA: "+data);
            DeleteDataSensRegistryBean registry = new DeleteDataSensRegistryBean();
            if(data.get("status") != null){

            }
        }catch (NotFoundException e){
            log.debug(e);
            log.debug("Imagen no encontrada");
        }catch (Exception e ){
            log.debug(e);
            log.debug("Error consumiento servicio de Proveedor");
        }
        return  deleteMessages;
    }
}
